Package org.opensaml.saml.saml1.core

# Interface Status

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `StatusImpl`

public interface Status extends SAMLObject
This interface defines how the object representing a SAML 1 `Status` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`StatusCode`
`getStatusCode()`
Get the object representing the `StatusCode` (element).
`StatusDetail`
`getStatusDetail()`
Get the object representing the `StatusDetail` (element).
`StatusMessage`
`getStatusMessage()`
Get the object representing the `StatusMessage` (element).
`void`
`setStatusCode(StatusCode statusCode)`
Set the object representing the `StatusCode` (element).
`void`
`setStatusDetail(StatusDetail statusDetail)`
Set the object representing the `StatusDetail` (element).
`void`
`setStatusMessage(StatusMessage statusMessage)`
Set the object representing the `StatusMessage` (element).

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getStatusMessage

@Nullable StatusMessage getStatusMessage()
Get the object representing the `StatusMessage` (element).

Returns:
  object representing the `StatusMessage` (element)

### setStatusMessage

void setStatusMessage(@Nullable StatusMessage statusMessage)
Set the object representing the `StatusMessage` (element).

Parameters:
  `statusMessage` - object representing the `StatusMessage` (element)

### getStatusCode

@Nullable StatusCode getStatusCode()
Get the object representing the `StatusCode` (element).

Returns:
  object representing the `StatusCode` (element)

### setStatusCode

void setStatusCode(@Nullable StatusCode statusCode)
Set the object representing the `StatusCode` (element).

Parameters:
  `statusCode` - object representing the `StatusCode` (element)

### getStatusDetail

@Nullable StatusDetail getStatusDetail()
Get the object representing the `StatusDetail` (element).

Returns:
  object representing the `StatusDetail` (element)

### setStatusDetail

void setStatusDetail(@Nullable StatusDetail statusDetail)
Set the object representing the `StatusDetail` (element).

Parameters:
  `statusDetail` - object representing the `StatusDetail` (element)